Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

What are php extensions needed for osCommerce?


alsvider

Recommended Posts

I am currently installing osCommerce on FC4 which comes PHP5, I'd like to compile Apache, PHP and MySQL in my machine, is there any one knows what php extensions are needed to support osCommerce? I hope I can compile all those extensions into php.

 

thx

Link to comment
Share on other sites

I would do a search for PHP5 on the forums, last I heard there are issues with osCommerce and PHP5 but someone may have come up with fixes.

Wendy James

 

Creativity is allowing yourself to make mistakes. Art is knowing which ones to keep.

Link to comment
Share on other sites

I already searched the forum, and changed one line in application_top.php. It can run right now, but pictures can not be displayed properly. I am not sure what cause the problem. That is why I posted above message and make sure it is not because of I missed some extensions in my PHP installation.

Link to comment
Share on other sites

If your site is running okay apart from images then it's not a php extension problem - it's more likely that either:

 

1. Your configure.php files are not set up correctly

2. The 'images' folder is not writeable (full permissions - 777)

 

Vger

Link to comment
Share on other sites

thx your suggestion!

 

I guess the problem is in configure.php as LAMPP uses nobody as apache USER, I already set nobody as the owner of catalog, so it is impossible that nobody can not wirte any directory under catalog.

 

I still want to know the php extenisons oscommerce needed, as it will give better preformance.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...